# Namespace: format

## olx.format

### Type Definitions

#### olx.format.GeoJSONOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `defaultProjection` | ol.proj.ProjectionLike |  | Default projection.
  `geometryName` | string | undefined | <optional> | Geometry name to use when creating features.

#### olx.format.GMLOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `featureNS` | string |  | Feature namespace.
  `featureType` | string |  | Feature type to parse.
  `srsName` | string |  | srsName to use when writing geometries.
  `surface` | boolean | undefined | <optional> | Write gml:Surface instead of gml:Polygon elements. This also affects the elements in multi-part geometries. Default is `false`.
  `curve` | boolean | undefined | <optional> | Write gml:Curve instead of gml:LineString elements. This also affects the elements in multi-part geometries. Default is `false`.
  `multiCurve` | boolean | undefined | <optional> | Write gml:MultiCurve instead of gml:MultiLineString. Since the latter is deprecated in GML 3, the default is `true`.
  `multiSurface` | boolean | undefined | <optional> | Write gml:multiSurface instead of gml:MultiPolygon. Since the latter is deprecated in GML 3, the default is `true`.
  `schemaLocation` | string | undefined | <optional> | Optional schemaLocation to use when writing out the GML, this will override the default provided.

#### olx.format.IGCOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `altitudeMode` | ol.format.IGCZ | undefined | <optional> | Altitude mode. Possible values are `barometric`, `gps`, and `none`. Default is `none`.

#### olx.format.KMLOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `defaultStyle` | Array.<ol.style.Style> | undefined | <optional> | Default style. The default default style is the same as Google Earth.

#### olx.format.TopoJSONOptions{Object} experimental

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `defaultProjection` | ol.proj.ProjectionLike | Default projection.

#### olx.format.WFSOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `featureNS` | string |  | The namespace URI used for features.
  `featureType` | string |  | The feature type to parse. Only used for read operations.
  `schemaLocation` | string | undefined | <optional> | Optional schemaLocation to use for serialization, this will override the default.

#### olx.format.WFSWriteGetFeatureOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `featureNS` | string |  | The namespace URI used for features.
  `featurePrefix` | string |  | The prefix for the feature namespace.
  `featureTypes` | Array.<string> |  | The feature type names.
  `srsName` | string | undefined | <optional> | SRS name. No srsName attribute will be set on geometries when this is not provided.
  `handle` | string | undefined | <optional> | Handle.
  `outputFormat` | string | undefined | <optional> | Output format.
  `maxFeatures` | number | undefined | <optional> | Maximum number of features to fetch.
  `geometryName` | string | undefined | <optional> | Geometry name to use in a BBOX filter.
  `bbox` | ol.Extent | undefined | <optional> | Extent to use for the BBOX filter.

#### olx.format.WFSWriteTransactionOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `featureNS` | string |  | The namespace URI used for features.
  `featurePrefix` | string |  | The prefix for the feature namespace.
  `featureType` | string |  | The feature type name.
  `srsName` | string | undefined | <optional> | SRS name. No srsName attribute will be set on geometries when this is not provided.
  `handle` | string | undefined | <optional> | Handle.
  `nativeElements` | Array.<Object> |  | Native elements. Currently not supported.
  `gmlOptions` | olx.format.GMLOptions | undefined | <optional> | GML options for the WFS transaction writer.